package com.tuoheng.airportGzdp.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.tuoheng.airportGzdp.common.JsonResult;
import com.tuoheng.airportGzdp.until.HttpURLConnectionUtil;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/getWeather")
public class WeatherController {

    @GetMapping("/day")
    public JsonResult getday(String lon, String lat, Integer dailysteps)
    {
        HttpURLConnectionUtil httpURLConnectionUtil = new HttpURLConnectionUtil();
        String url = "https://api.caiyunapp.com/v2.6/dXQNLUhILzwtFxxn/"+lon+","+lat+"/daily?dailysteps="+dailysteps+"";
        String response = httpURLConnectionUtil.doGet(url);
       JSON jsonmap = JSONObject.parseObject(response);
       return JsonResult.success(jsonmap);
    }
    /*@GetMapping("/minute")
    public JsonResult getminute(String lon,String lat)
    {
        HttpURLConnectionUtil httpURLConnectionUtil = new HttpURLConnectionUtil();
        String url = "https://api.caiyunapp.com/v2.6/TAkhjf8d1nlSlspN/"+lon+","+lat+"/minutely";
        String response = httpURLConnectionUtil.doGet(url);
        JSON jsonmap = JSONObject.parseObject(response);
        return JsonResult.success(jsonmap);
    }*/
}
